Namespace
library
Image / Tag
swift:6.0-focal
Content Digest
sha256:15e5e7926b465d58efef5870e67fffe30b68c8c3b7f79f83d3b383e1db74bb07
Details
Created

2024-12-12 07:44:15 UTC

Size

900 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.0.3-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.0.3-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:13b7e930469f6d3575a320709035c6acf6f5485a76abcf03d1b92a64c09c2476 - 2.92% (26.2 MB)

[#001] sha256:82eb5253cd6895882153d36618762838632cc6ed2d24d4f2f8802614d3bce638 - 12.77% (115 MB)

[#002] sha256:3a8893f69be90e9596a1d81fe8fe8419d25107b142740485467cdb31e41a4d6f - 84.31% (759 MB)

[#003] sha256:dc1d884af830b28dda4235c676773b4d5cbb9130ed98f11972de77f97371f683 - 0.0% (208 Bytes)


History
2024-12-12 07:44:15 UTC

/bin/sh -c #(nop) ARG RELEASE

2024-12-12 07:44:15 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2024-12-12 07:44:15 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2024-12-12 07:44:15 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2024-12-12 07:44:15 UTC

/bin/sh -c #(nop) ADD file:f9ee450324e6ff2c946bc9aae5cf7e35e240dbd387d8b9f5ee1ed5b8434b9894 in /

2024-12-12 07:44:15 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu20.04

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.0.3-release

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.0.3-RELEASE

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.0.3-release SWIFT_VERSION=swift-6.0.3-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.0.3-release SWIFT_VERSION=swift-6.0.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.0.3-release SWIFT_VERSION=swift-6.0.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Details
Created

2024-12-12 07:44:15 UTC

Size

892 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.0.3-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.0.3-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:ecd83b6c354452b6a9979c7666bba16927f1e60e2afbfe6401dd6f87d5db8576 - 2.78% (24.8 MB)

[#001] sha256:31c33ad048583a4eb84a56b9b4abb584de7856ffd4358721be08a351d29bdc14 - 12.55% (112 MB)

[#002] sha256:590391b8b8a170a51ea3f33bb9972f0f4e16ee8ad0870370acbcfaefbbccbf87 - 84.68% (755 MB)

[#003] sha256:b45bfdc3b23672d756c1e042cf78e6029cde789029979418a37a4ac042495ad8 - 0.0% (199 Bytes)


History
2024-12-12 07:44:15 UTC

/bin/sh -c #(nop) ARG RELEASE

2024-12-12 07:44:15 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2024-12-12 07:44:15 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2024-12-12 07:44:15 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2024-12-12 07:44:15 UTC

/bin/sh -c #(nop) ADD file:2c90d89e4dd4e1d2473deca816f585a78ced2a0c5c799399810f86fdbb17ac7e in /

2024-12-12 07:44:15 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu20.04

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.0.3-release

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.0.3-RELEASE

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.0.3-release SWIFT_VERSION=swift-6.0.3-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.0.3-release SWIFT_VERSION=swift-6.0.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2024-12-12 07:44:15 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.0.3-release SWIFT_VERSION=swift-6.0.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete